import request from "string-public-design-3/utils/request";

import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"

/**
 * 查询用户类型列表
 * @param {*} params
 */
export function queryUserType(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/user_types/`,
        method: 'get',
        params
    })
}

/**
 * 获取单个用户类型
 * @param {*} userTypeId 
 */
export function getUserType(userTypeId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/user_types/${userTypeId}/`,
        method: 'get',
    })
}


/**
 * 创建用户类型
 * @param {*} data 
 */
export function createUserType(data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/user_types/create/`,
        method: 'post',
        data
    })
}

/**
 * 修改用户类型
 * @param {*} userTypeId 
 * @param {*} data 
 */
export function updateUserType(userTypeId, data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/user_types/${userTypeId}/update/`,
        method: 'post',
        data
    })
}


/**
 * 删除用户类型
 * @param {*} userTypeId 
 */
export function deleteUserType(userTypeId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/user_types/${userTypeId}/delete/`,
        method: 'post',
    })
}

/**
 * 获取单个用户类型下的成员
 * @param {*} userTypeId 
 */
 export function getUserTypeMember(userTypeId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/user_types/${userTypeId}/users/`,
        method: 'get',
    })
}


