import request from "string-public-design-3/utils/request";

const PROJECT_SERVICE_PATH = `fwk_questionnaire_service`


/**
 * 获取问卷
 * */
export function getQuestionnaire(paperId) {
    return request({
        url: `${PROJECT_SERVICE_PATH}/questionnaire/paper/${paperId}/`,
        method: 'get',
        params: {paperId, type: ''}
    })
}


/**
 * 获取问卷答题情况
 * */
export function getQuestionnaireAnswerInfo(sourceId) {
    return request({
        url: `${PROJECT_SERVICE_PATH}/questionnaire/personal_answers/${sourceId}/details/`,
        method: 'post',
        data: {sourceId}
    })
}


/**
 * 保存答卷
 * */
export function saveQuestionnaire(data) {
    return request({
        url: `${PROJECT_SERVICE_PATH}/questionnaire/personal_answers/temp_storage/`,
        method: 'post',
        data
    })
}

/**
 * 提交答卷
 * */
export function submitQuestionnaire(data) {
    return request({
        url: `${PROJECT_SERVICE_PATH}/questionnaire/personal_answers/save/`,
        method: 'post',
        data
    })
}

/**
 * 生成答卷
 * */
export function generatorAnswer(data) {
    return request({
        url: `${PROJECT_SERVICE_PATH}/questionnaire/personal_answers/start/`,
        method: 'post',
        data
    })
}
