import request from "string-public-design-3/utils/request";

import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"


/**
 * 获取列表
 * @param {*} params
 */
export function queryAppCategory(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_categories/`,
        method: 'get',
        params
    })
}

/**
 * 获取树形结构
 * @param {*} params
 */
export function getAppCategoryTree() {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_categories/tree/`,
        method: 'get'
    })
}

/**
 * 获取实例
 * @param {*} params
 */
export function getAppCategory(categoryId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_categories/${categoryId}/`,
        method: 'get',
    })
}

/**
 * 创建
 * @param {*} data
 */
export function createAppCategory(data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_categories/create/`,
        method: 'post',
        data
    })
}

/**
 * 编辑
 * @param {*} categoryId
 * @param {*} data
 */
export function updateAppCategory(categoryId, data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_categories/${categoryId}/update/`,
        method: 'post',
        data
    })
}


/**
 * 删除
 * @param {*} categoryId
 */
export function deleteAppCategory(categoryId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_categories/${categoryId}/delete/`,
        method: 'post',
    })
}


/**
 * 排序
 * @param {*} data 
 * @returns 
 */
export function sortAppCategory(data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_categories/sort/`,
        method: 'post',
        data
    })
}



/**
 * 查看其下应用
 * @param {*} categoryId
 * @param {*} data
 */
 export function queryAppCategoryApps(categoryId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_categories/${categoryId}/apps/`,
        method: 'get',
    })
}

/**
 * 绑定应用
 * @param {*} categoryId
 * @param {appIds:[]} data
 */
 export function bindAppCategoryApps(categoryId, data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_categories/${categoryId}/apps/bind/`,
        method: 'post',
        data
    })
}



