import request from 'string-public-design-3/utils/request'

import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"

/**
 * 获取桌面列表
 * @param {*} 
 */
export function queryDesktop(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/desktops/`,
        method: 'get',
        params
    })
}

/**
 * 获取桌面
 * @param {*} 
 */
export function getDesktop(desktopId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/desktops/${desktopId}/`,
        method: 'get',
    })
}


/**
 * 创建
 * @param {*} 
 */
export function createDesktop(data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/desktops/create/`,
        method: 'post',
        data
    })
}

/**
 * 更新
 * @param {*} 
 */
export function updateDesktop(desktopId, data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/desktops/${desktopId}/update/`,
        method: 'post',
        data
    })
}

/**
 * 删除
 * @param {*} 
 */
 export function deleteDesktop(desktopId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/desktops/${desktopId}/delete/`,
        method: 'post',
    })
}

/**
 * 获取app
 * @param {*} 
 */
export function queryDesktopApps(desktopId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/desktops/${desktopId}/apps/`,
        method: 'get'
    })
}

/**
 * 根据desktopCode获取应用
 * @param {*} 
 */
 export function queryDesktopAppsByCode(desktopCode) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/desktops/get_apps_by_code/?code=${desktopCode}`,
        method: 'get'
    })
}

/**
 * 绑定app
 */
 export function bindDesktopApps(desktopId, data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/desktops/${desktopId}/apps/bind/`,
        method: 'post',
        data
    })
}


