import request from "string-public-design-3/utils/request";

import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"
/**
 * 获取列表
 * @param {*} params
 */
export function queryAppPerm(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_perms/`,
        method: 'get',
        params
    })
}
/**
 * 获取实例
 * @param {*} permId
 */
export function getAppPerm(permId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_perms/${permId}/`,
        method: 'get',
    })
}
/**
 * 创建
 * @param {*} data
 */
export function createAppPerm(data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_perms/create/`,
        method: 'post',
        data
    })
}
/**
 * 编辑
 * @param {*} permId
 * @param {*} data
 */
export function updateAppPerm(permId,data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_perms/${permId}/update/`,
        method: 'post',
        data
    })
}

/**
 * 删除
 * @param {*} permId
 */
 export function deleteAppPerm(permId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_perms/${permId}/delete/`,
        method: 'post',
    })
}

