import request from "string-public-design-3/utils/request";

import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"

/**
 * 获取应用标签
 * @param {*} params
 */
export function queryAppTag(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_tags/`,
        method: 'get',
        params
    })
}
/**
 * 获取单个应用标签
 * @param {*} params
 */
export function getAppTag(tagId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_tags/${tagId}/`,
        method: 'get',
    })
}

/**
 * 新增标签
 * @param {*} params
 */
export function createAppTag(data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_tags/create/`,
        method: 'post',
        data
    })
}

/**
 * 修改标签
 * @param {*} params
 */
export function updateAppTag(tagId, data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_tags/${tagId}/update/`,
        method: 'post',
        data
    })
}

/**
 * 删除标签
 * @param {*} params
 */
 export function deleteAppTag(tagId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_tags/${tagId}/delete/`,
        method: 'post',
    })
}


/**
 * 排序
 * @param {*} data 
 * @returns 
 */
 export function sortAppTag(data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_tags/sort/`,
        method: 'post',
        data
    })
}



/**
 * 查看其下应用
 * @param {*} tagId
 * @param {*} data
 */
 export function queryAppTagApps(tagId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_tags/${tagId}/apps/`,
        method: 'get',
    })
}

/**
 * 绑定应用
 * @param {*} tagId
 * @param {appIds:[]} data
 */
 export function bindAppTagApps(tagId, data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/app_tags/${tagId}/apps/bind/`,
        method: 'post',
        data
    })
}


