import request from 'string-public-design-3/utils/request'

import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"

/**
 * 获取基本信息
 * @param {*} data 
 */
 export function queryBaseData(data={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/base_data/`,
        method: 'post',
        data
    })
}

/**
 * 查看基本信息版本
 * @param {*} params 
 */
 export function queryBaseDataVersion(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/base_data/version/`,
        method: 'get',
        params
    })
}

/**
 * 查看应用列表
 * @param {*} params 
 */
 export function queryBaseDataApp(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/base_data/app/`,
        method: 'get',
        params
    })
}

/**
 * 查看应用分类列表
 * @param {*} params 
 */
 export function queryBaseDataAppCatagory(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/base_data/app_category/`,
        method: 'get',
        params
    })
}

/**
 * 查看应用标签列表
 * @param {*} params 
 */
 export function queryBaseDataAppTag(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/base_data/app_tag/`,
        method: 'get',
        params
    })
}






