import request from "string-public-design-3/utils/request";

import { FRAMEWORK_DATACENTER_SERVICE } from "string-public-design-3/constants/location"
/** 
数据同步任务配置列表
* @param {*} params
*/
export function queryDatacenterConfig(params) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/config/`,
        method: 'get',
        params
    })
}

/** 
数据单个同步任务配置
* @param {*} id
*/
export function getDatacenterConfig(id) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/config/${id}/`,
        method: 'get',
    })
}

/** 
创建数据同步任务配置
* @param {*} data
*/
export function createDatacenterConfig(data) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/config/create/`,
        method: 'post',
        data
    })
}

/** 
编辑数据同步任务配置
* @param {*} id
* @param {*} data
*/
export function updateDatacenterConfig(id, data) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/config/${id}/update/`,
        method: 'post',
        data
    })
}

/** 
删除数据同步任务配置
* @param {*} id
*/
export function deleteDatacenterConfig(id) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/config/${id}/delete/`,
        method: 'post',
    })
}

/** 
获取厂商
*/
export function queryDatacenterConfigType() {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/config/type/`,
        method: 'get',
    })
}