import request from "string-public-design-3/utils/request";

import { FRAMEWORK_DATACENTER_SERVICE } from "string-public-design-3/constants/location"
/** 
数据同步任务列表
* @param {*} params
*/
export function queryDatacenter(params) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/task/`,
        method: 'get',
        params
    })
}

/** 
数据单个同步任务
* @param {*} id
*/
export function getDatacenter(id) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/task/${id}/`,
        method: 'get',
    })
}

/** 
创建数据同步任务
* @param {*} data
*/
export function createDatacenter(data) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/task/create/`,
        method: 'post',
        data
    })
}

/** 
编辑数据同步任务
* @param {*} id
* @param {*} data
*/
export function updateDatacenter(id, data) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/task/${id}/update/`,
        method: 'post',
        data
    })
}

/** 
删除数据同步任务
* @param {*} id
*/
export function deleteDatacenter(id) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/task/${id}/delete/`,
        method: 'post',
    })
}


/** 
执行同步任务
* @param {*} code
*/
export function implementDatacenter(code) {
    return request({
        url: `${FRAMEWORK_DATACENTER_SERVICE}/datacenter/${code}/`,
        method: 'get',
    })
}

/** 
执行同步任务路径
* @param {*} code
*/
export function implementDatacenterUrl(code) {
    return `${window.string.SERVICE_HOST}${FRAMEWORK_DATACENTER_SERVICE}/datacenter/${code}/`;
}