import request from "string-public-design-3/utils/request";

import { FRAMEWORK_MESSAGE_SERVICE } from "string-public-design-3/constants/location"

/** 
消息中心场景查列表
* @param {*} data
*/
export function listScene(params) {
    return request({
        url: `${FRAMEWORK_MESSAGE_SERVICE}/scene/`,
        method: 'get',
        params
    })
}

/** 
消息中心场景查单个
* @param {*} data
*/
export function getScene(id) {
    return request({
        url: `${FRAMEWORK_MESSAGE_SERVICE}/scene/${id}/`,
        method: 'get',
    })
}

/** 
消息中心场景禁用或禁用单个
* @param {*} data
*/
export function disableScene(id) {
    return request({
        url: `${FRAMEWORK_MESSAGE_SERVICE}/scene/${id}/disable/`,
        method: 'post',
    })
}


/** 
消息中心场景新增
* @param {*} data
*/
export function createScene(data) {
    return request({
        url: `${FRAMEWORK_MESSAGE_SERVICE}/scene/create/`,
        method: 'post',
        data
    })
}


/** 
消息中心场景新增
* @param {*} data
*/
export function updateScene(data,id) {
    return request({
        url: `${FRAMEWORK_MESSAGE_SERVICE}/scene/${id}/update/`,
        method: 'post',
        data
    })
}


/** 
消息中心查配置
* @param {*} data
*/
export function listConfig() {
    return request({
        url: `${FRAMEWORK_MESSAGE_SERVICE}/config/`,
        method: 'get',
    })
}


/** 
消息中心批量改配置
* @param {*} data
*/
export function batchUpdate(data) {
    return request({
        url: `${FRAMEWORK_MESSAGE_SERVICE}/config/batch_update/`,
        method: 'post',
        data
    })
}


/** 
消息中心查询消息
* @param {*} data
*/
export function listMsg(data) {
    return request({
        url: `${FRAMEWORK_MESSAGE_SERVICE}/message/`,
        method: 'post',
        data
    })
}

/** 
消息中心发送消息
* @param {*} data
*/
export function sendMsg(data) {
    return request({
        url: `${FRAMEWORK_MESSAGE_SERVICE}/message/send/`,
        method: 'post',
        data
    })
}
