import request from "string-public-design-3/utils/request";

import { FRAMEWORK_PAYMENT_SERVICE } from "string-public-design-3/constants/location"

//查询所有配置
export function queryConfig(params) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/config/`,
        method: 'get',
        params
    })
}

//查询单个配置
export function getConfig(id) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/config/${id}/`,
        method: 'get',
    })
}

//创建配置
export function createConfig(data) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/config/create/`,
        method: 'post',
        data
    })
}

//编辑配置
export function updateConfig(id,data) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/config/update/${id}/`,
        method: 'post',
        data
    })
}

//删除配置
export function deleteConfig(id) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/config/delete/${id}/`,
        method: 'post',
        
    })
}

//查询响应类型参数
export function getParameter(params) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/config/parameter/`,
        method: 'get',
        params
    })
}

//设置参数
export function setParameter(data) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/config/set/parameter/`,
        method: 'post',
        data
    })
}


//商户配置
export function queryMerchants(params) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/merchant/`,
        method: 'get',
        params
    })
}

//查询单个配置
export function getMerchant(id) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/merchant/${id}/`,
        method: 'get',
    })
}

//创建配置
export function createMerchant(data) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/merchant/create/`,
        method: 'post',
        data
    })
}

//编辑配置
export function updateMerchant(id,data) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/merchant/update/${id}/`,
        method: 'post',
        data
    })
}

//删除配置
export function deleteMerchant(id) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/merchant/delete/${id}/`,
        method: 'post',
        
    })
}





