import request from "string-public-design-3/utils/request";

import { FRAMEWORK_PAYMENT_SERVICE } from "string-public-design-3/constants/location"

//查询所有订单
export function queryOrder(params) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/order/`,
        method: 'get',
        params
    })
}

/**
 查询单个订单
 */
export function getOrder(id) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/order/${id}/`,
        method: 'get',
        
    })
}

/**
 查询单个订单明细
 */
export function getOrderEntries(orderId) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/entries/${orderId}/`,
        method: 'get',
    })
}

/**
 PC端微信统一下单
 */
export function wxCreateOrderAuth(data) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/wx/create/order/auth/`,
        method: 'post',
        data
    })
}


/**
 PC端微信统一下单
 */
export function wxPcPatment(data) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/wx/pc/`,
        method: 'post',
        data
    })
}

/**
 支付回调
 */
export function wxCallback() {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/wx/callback/`,
        method: 'post',
        
    })
}

/**
 支付回调
 */
export function wxrefund(id) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/wx/refund/${id}/`,
        method: 'post',
        
    })
}

//支付宝支付 
export function aliCreatePcOrder(data) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/ali/pc/create/order/auth/`,
        method: 'post',
        data
    })
}

//      
//支付宝回调
export function alicallback(data) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/ali/callback/`,
        method: 'post',
        data
    })
}

//支付宝退款
export function alirefund(id) {
    return request({
        url: `${FRAMEWORK_PAYMENT_SERVICE}/ali/refund/${id}/`,
        method: 'post',
    })
}
