import request from "string-public-design-3/utils/request";
import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"

/**
 * 获取列表
 * @param {*} params
 */
export function querySetting(params={}) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/settings/`,
        method: 'get',
        params
    })
}

/**
 * 获取实例
 * @param {*} settingId
 */
export function getSetting(settingId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/settings/${settingId}/`,
        method: 'get',
        params
    })
}

/**
 * 修改配置项
 * @param {*} settingId 
 * @param {*} data 
 * @returns 
 */
export function updateSetting(settingId, data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/settings/${settingId}/update/`,
        method: 'post',
        data
    })
}