import request from "string-public-design-3/utils/request";
import { FRAMEWORK_CORE_SERVICE } from "string-public-design-3/constants/location"

/**
 * 获取实例
 * @param {*} settingId
 */
 export function getUserSetting(settingId) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/user_settings/${settingId}/`,
        method: 'get',
    })
}


/**
 * 修改配置项
 * @param {*} settingId 
 * @param {*} data 
 * @returns 
 */
 export function updateUserSetting(settingId, data) {
    return request({
        url: `${FRAMEWORK_CORE_SERVICE}/user_settings/${settingId}/update/`,
        method: 'post',
        data
    })
}