import request from "string-public-design-3/utils/request";

import { FRAMEWORK_TIMEDTASK_SERVICE } from "string-public-design-3/constants/location"
/** 
定时任务列表
* @param {*} params
*/
export function queryTimedTask(params) {
    return request({
        url: `${FRAMEWORK_TIMEDTASK_SERVICE}/task/`,
        method: 'get',
        params
    })
}

/** 
数据单个同步任务
* @param {*} id
*/
export function getTimedTask(id) {
    return request({
        url: `${FRAMEWORK_TIMEDTASK_SERVICE}/task/${id}/`,
        method: 'get',
    })
}

/** 
创建定时任务
* @param {*} data
*/
export function createTimedTask(data) {
    return request({
        url: `${FRAMEWORK_TIMEDTASK_SERVICE}/task/add/`,
        method: 'post',
        data
    })
}

/** 
编辑定时任务
* @param {*} id
* @param {*} data
*/
export function updateTimedTask(id, data) {
    return request({
        url: `${FRAMEWORK_TIMEDTASK_SERVICE}/task/${id}/update/`,
        method: 'post',
        data
    })
}

/** 
启动定时任务
* @param {*} id
*/
export function startupTimedTask(id) {
    return request({
        url: `${FRAMEWORK_TIMEDTASK_SERVICE}/task/${id}/startup/`,
        method: 'post'
    })
}

/** 
停止定时任务
* @param {*} id
*/
export function pauseTimedTask(id) {
    return request({
        url: `${FRAMEWORK_TIMEDTASK_SERVICE}/task/${id}/pause/`,
        method: 'post'
    })
}

/** 
恢复定时任务
* @param {*} id
*/
export function resumeTimedTask(id) {
    return request({
        url: `${FRAMEWORK_TIMEDTASK_SERVICE}/task/${id}/resume/`,
        method: 'post'
    })
}

/** 
删除定时任务
* @param {*} id
*/
export function deleteTimedTask(id) {
    return request({
        url: `${FRAMEWORK_TIMEDTASK_SERVICE}/task/${id}/delete/`,
        method: 'post',
    })
}

