import store from "@/store"

// 根据App Type以及Client Type获取相关信息
export function getAppClientInfo(app) {
    let obj = {
        code: "",
        label: "",
        link: {
            pc: "",
            mobile: ""
        }
    };
    if (app.type == "1" || app.type == "2" || app.type == "5") {
        obj.code = "all";
        obj.label = "PC端、移动端";
        obj.link.pc = genPCClientUrl(app);
        obj.link.mobile = genMobileClientUrl(app);
    }
    else {
        if (app.clientType == "1") {
            obj.code = "pc";
            obj.label = "PC端";
            obj.link.pc = genPCClientUrl(app);
        }
        else if (app.clientType == "2") {
            obj.code = "mobile";
            obj.label = "移动端";
            obj.link.mobile = genMobileClientUrl(app);
        }
    }
    return obj
}

function genMobileClientUrl(app) {
    let orginUrl = `${window.string.SERVICE_HOST}${app.mobileClientUrl}${app.mobileUrl}/`;
    let url = "";
    if (store.getters["config/authConfig"].isMobileThirdSSO) {
        if (store.getters["config/authConfig"].mobileLoginMethod == "WECHAT") {
            url = `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${store.getters["config/authConfig"].mobileWechatAppId}&response_type=code&scope=snsapi_base&state=1&redirect_uri=${encodeURIComponent(orginUrl)}#wechat_redirect`;
        }
        else if (store.getters["config/authConfig"].mobileLoginMethod == "DING") {
            url = orginUrl;
        }
    }
    return url;
}

function genPCClientUrl(app) {
    switch (app.type) {
        case "1": // 流程
            break;
        case "2": // 数据模版
            break;
        case "4": // 自研应用
            return `${window.string.SERVICE_HOST}${app.pcClientUrl}${app.pcUrl}/`;
        case "5": // 内置应用
            break;
        case "6": // 报表应用
            break;
        case "7": // 第三方应用
            break;
    }
}

