/**
 * 门户的基础项
 * 包含：门户布局，门户图标、门户模块、应用相关
 */
import { getBaseData } from "string-public-design-3/methods/cache"
import { setData } from "string-public-design-3/utils/cache/db"

const MODULE_NAME = "PORTAL";

const state = {
    db: null
}

const getters = {
    portalLayout: state => state.db ? state.db.find(item => item.code == "PORTAL_LAYOUT").value : [],
    portalImage: state => state.db ? state.db.find(item => item.code == "PORTAL_IMAGE").value : [],
    portalModule: state => state.db ? state.db.find(item => item.code == "PORTAL_MODULE").value : []
}

const mutations = {
    SET_DB: (state, db) => {
        state.db = db
    }
}

const actions = {
    getData({ state, commit }) {
        return new Promise((resolve, reject) => {
            getBaseData(MODULE_NAME).then((data) => {
                commit("SET_DB", data)
                setData(MODULE_NAME, data)
                resolve()
            })
        }).catch(ex => {
            reject(ex);
            console.log(ex);
        })
    }
}


export default {
    namespaced: true,
    state,
    getters,
    mutations,
    actions
}







