/**
 * 新增t_data_version表
 * 字段：id_, name_, code_, version_, update_time
 * 包含记录：
 *      系统配置：
 *      应用数据：
 */


//=============================public design for every app===================================
/**
 * 获取用户token，用户信息，用户配置，用户应用信息。将这些值写入到cookie中，以便程序使用。
 * 访问接口：/auth/login/?code=xxxx。
 */
const user = {
    userToken:"",
    userInfo:"",
    userConfig:"",  // 用户个性化设置，因此每次都获取。

    // TODO：这些信息可以在用户表中做冗余，即在推荐，收藏的时候就写入。
    userApp:{
        assignedIdList:[],
        favoriteIdList:[],
        recommendedIdList:[],
        recentIdList:[],
        manageIdList:[],
    }
}  

/**
 * 访问系统配置信息
 * 访问方式：
 *      1-检查配置版本是否更新：/data_versions/  // 在配置保存之时，更新t_data_version系统配置版本号。
 *      2-获取最新配置：/settings/ 获取列表到前端，经过程序处理后形成以下格式。
 */
 const config = {
    env:{
        mobileOS:"iOS", // js计算可得
        mobilePlatform:"h5" // js计算可得
    },
    settings:{
        layout:"", // 布局
        image:"", // 图片
        info:"", // 信息
        
        auth:"", // 认证
        file:"", // 文件
        workflow:"", // 流程
    },
    version:'202106150001', // 从t_data_version中获取
}

/**
 * 获取应用权限
 * 访问接口：/apps/{appKey}/get_info_by_key/
 */
const perm = {
    currentPerm:{},
    permissions:[]
}

//=============================portal web/app===================================
/**
 * 访问应用信息
 * 访问方式：
 *      1-检查配置版本是否更新：/data_versions/  // 在配置保存之时，更新t_data_version应用数据版本号。
 *      2-获取最新应用基础信息：/app_tags/ /app_categories/ /apps/ 获取列表到前端，经过程序处理后形成以下格式。 /apps/接口快慢是关键。
 */
const app = {
    // 应用分类
    appTypes:[], // 常量

    // ======================以下是应用的基础信息，根据版本变更获取。=============================
    // 应用标签
    appTags:[], // 数据库
    appTagTree:[], 
    // 应用分类
    appCategories:[], // 数据库
    appCategoryTree:[],
    // 应用
    apps:[],  // 数据库
    appTree:[],
    workflowAppTree:[], 


    // ======================以下是用户个性化的配置，根据user.app计算获取===============================
    // 授权的应用
    assignedApps: [],
    // 收藏的应用
    favoriteApps: [],
    // 推荐的应用
    recommendedApps: [],
    // 最近访问的应用
    recentApps: [],
    // 管理的应用
    manageApps: [],
}

/**
 * 发布信息
 */
const release = {
}

    
// TODO：删除desktop
const desktop = {
    // 应用、应用标签、应用分类都是从此接口中获取。
    // 配置项目都从此接口中获取。
}

// TODO 删除personal
const personal = {
    config:{},
    userSetting:{} // TODO：转移到store.user中。
}


 