export function gotoLoginPage() {
    if (window.string.SSO_LOGIN_URL) {
        if (!window.location.origin) {
            window.location.origin = window.location.protocol + '//' + window.location.hostname + (window.location.port ? ':' + window.location.port : '')
        }
        //单点登陆时确保返回正确位置
        let url = window.location.href
        let search = window.location.search
        let redirectUrl = url.replace(search, '').replace(/&ticket=(\S*)#\//g, '#/')//替换掉#前面的ticket
        // let redirectUrl = url.replace(search, '')

        //处理地址栏里的参数，去掉ticket
        let urlSplitList = redirectUrl.split('?')
        if (urlSplitList.length > 1) {
            let paramsSplitList = urlSplitList[1].split('&')
            paramsSplitList = paramsSplitList.filter(str => /^(?!ticket=(\S*))/.test(str))
            let paramsStr = paramsSplitList.join('&')
            redirectUrl = urlSplitList[0] + '?' + paramsStr
        }

        //单点登录页面重定向回来会在/#/后面追加#，所以跳转前要判断一下
        if (/\/#\/$/.test(redirectUrl)) {
            redirectUrl = redirectUrl.split('?')[0].replace(/#\//g, '')
        }

        let loginURL = window.string.SSO_LOGIN_URL + '?service=' + encodeURI(redirectUrl)
        window.location.href = loginURL
    } else {
        console.log('==未能获取登录页面==')
    }
}

export function gotoMobileLoginPage() {
    if (window.string.SSO_MOBILE_LOGIN_URL) {
        if (!window.location.origin) {
            window.location.origin = window.location.protocol + '//' + window.location.hostname + (window.location.port ? ':' + window.location.port : '')
        }
        //单点登陆时确保返回正确位置
        let url = window.location.href
        let search = window.location.search
        let redirectUrl = url.replace(search, '')
        let loginURL = window.string.SSO_MOBILE_LOGIN_URL + '?service=' + redirectUrl.split('?')[0]

        window.location.href = loginURL
    } else {
        console.log('==未能获取登录页面==')
    }
}

export function gotoLogOutPage() {
    if (window.string.SSO_LOGOUT_URL) {
        if (!window.location.origin) {
            window.location.origin = window.location.protocol + '//' + window.location.hostname + (window.location.port ? ':' + window.location.port : '')
        }
        let redirectURL = window.location.origin + window.location.pathname + '#/'
        let loginURL = window.string.SSO_LOGOUT_URL + '?service=' + redirectURL

        window.location.href = loginURL
    } else {
        console.log('==未能获取注销页面==')
    }
}
//跳转到微信认证中心
export function gotoWechatOauth2Page(cropId, url = '') {
    let href = '';
    if (url === '') {
        href = window.location.href
        if (href.indexOf('?') != -1) {
            var index = href.indexOf('?') + 1
            // 得到？后的字符串
            var str = href.substr(index)
            var urlParams = ''
            // 字符串通过&?标识，转为数组
            let arrs = str.split(/[?&]/)
            for (var i = 0; i < arrs.length; i++) {
                // 分别将 = 左右两边拆分为数组, 动态变为键值对
                let key = arrs[i].split('=')[0]
                if (key !== 'code') {
                    if (urlParams === '') {
                        urlParams = arrs[i]
                    } else {
                        urlParams += '&' + arrs[i]
                    }
                }
            }
            if (urlParams !== '') href = href.split('?')[0] + '?' + urlParams
        }
    } else {
        href = url;
    }
    let redirectUrl = encodeURIComponent(href)
    const oauth2url = `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${cropId}&redirect_uri=${redirectUrl}&response_type=code&scope=snsapi_base&state=STATE#wechat_redirect`
    window.location.href = oauth2url
}
