import Cookies from '../util.cookies.js'
import store from '@/store'
// 过期时间设置
let millisecond = new Date().getTime();
let expiresTime = new Date(millisecond + (3 + 8) * 60 * 60 * 1000); // 3小时后过期 + 8小时东八区
const cookieSetting = {
    expires: expiresTime,
}
/**
 * 获取UserToken
 */

export function getTokenByKey(key) {
    return Cookies.get(key)
}

/**
 * 设置UserToken
 */
export function setTokenByKey(key, token) {
    return Cookies.set(key, token, cookieSetting)
}

/**
 * 删除UserToken
 */
export function removeTokenByKey(key) {
    return Cookies.remove(key)
}




/**
 * 获取sessionId
 */
export function getSessionId() {
    return Cookies.get("JSESSIONID")
}

/**
 * 设置sessionId
 */
export function setSessionId(token) {
    return Cookies.set("JSESSIONID", token, cookieSetting)
}

/**
 * 删除sessionId
 */
export function removeSessionId() {
    return Cookies.remove("JSESSIONID")
}


/**
 * 获取sessionId
 */
export function getSessionIdByKey(key) {
    return Cookies.get(key)
}

/**
 * 设置
 */
export function setValueByKey(key, value) {
    return Cookies.set(key, value, cookieSetting)
}

/**
 * 获取
 */
export function getValueByKey(key) {
    return Cookies.get(key)
}

/**
 * 删除
 */
export function removeValueByKey(key) {
    return Cookies.remove(key)
}






/**
 * 获取用户信息
 */
export function getUserInfo(key) {
    let userInfo = localStorage.getItem(key)
    if (userInfo && userInfo !== 'null') {
        return JSON.parse(userInfo);
    } else {
        return null;
    }
}

/**
 * 设置用户信息
 * @param {*} data
 */
export function setUserInfo(key,data) {
    return localStorage.setItem(key, JSON.stringify(data))
}

/**
 * 删除用户信息
 */
export function removeUserInfo(key) {
    return localStorage.removeItem(key)
}

/**
 * 获取用户配置
 */
 export function getUserConfig(key) {
    let userConfig = Cookies.get(key)
    if (userConfig) {
        return JSON.parse(userConfig);
    } else {
        return null;
    }
}

/**
 * 设置用户配置
 * @param {*} data
 */
export function setUserConfig(key,data) {
    return Cookies.set(key, JSON.stringify(data), cookieSetting)
}

/**
 * 删除用户配置
 */
export function removeUserConfig(key) {
    return Cookies.remove(key)
}

/**
 * 获取权限
 */
export function getPerms(key) {
    let perms = sessionStorage.getItem(key)
    if (perms) {
        return JSON.parse(perms);
    } else {
        return null;
    }
}

/**
 * 设置权限
 * @param {*} data
 */
export function setPerms(key, data) {
    return sessionStorage.setItem(key, JSON.stringify(data))
}

/**
 * 删除权限
 */
export function removePerms(key) {
    return sessionStorage.removeItem(key)
}

/**
 * 存储当前权限
 * @param {*} data
 */
export function setCurrentPerm(key, data) {
    return sessionStorage.setItem(key, JSON.stringify(data))
}
// 获取当前权限
export function getCurrentPerm(key) {
    let currentPerm = sessionStorage.getItem(key)
    if (currentPerm) {
        return JSON.parse(currentPerm);
    } else {
        return null;
    }

}
