import {convertStringToJSON} from "../util.convert"

let STRING_DATA_KEY = "STRING_${MODULE}_DATA";

/**
 * 设置配置db
 * @param {*} data
 */
export function setData(module, data) {
    try {
        localStorage.setItem(STRING_DATA_KEY.replace('${MODULE}', module), JSON.stringify(data))
    } catch (e) {
        console.warn('[localStorage] 写入缓存失败 ', e);
    }
}

/**
 * 获取配置db
 * @param {*}
 */
export function getData(module) {
    return convertStringToJSON(STRING_DATA_KEY.replace('${MODULE}', module))
}

/**
 * 删除配置db
 * @param {*}
 */
export function removeData(module) {
    localStorage.removeItem(STRING_DATA_KEY.replace('${MODULE}', module))
}


